clear all
tic
Data=readmatrix("Leaching_UV_complete.xlsx","Sheet","Sheet1"); %read the raw UV-VIS data

%%
%Cleaning the data,remove n=NaN
Data1=Data(1:373, :);
Nan_index=find(isnan(Data1(:,2)));
Data1(Nan_index,:)=[];


%%
%Finding peaks in the spectroscopy
[peaks,i]=max(Data1,[],'omitnan'); 
index=find(peaks>=1000); %peaks occur at wavelength 218 nm usually
peaks(index)=peaks(index)/1000;
peaks=peaks(2:end);
peaks_time=reshape(peaks,[3,12])';
wavelengths=(Data1(i,1))';
wavelengths=wavelengths(2:end);
wavelengths_time=reshape(wavelengths,[3,12])';

con=(22.12*peaks_time);%T2,T3,T4 calibration curve for UV-VIS, abs to concentration
con(1:7,:)=con(1:7,:)*5; %dilution coefficient samples 1:7 were diluted 5 times.
save("con_UV.mat",'con')%output file containing concentrations for specimens I1 (T2), I2(T3), I3 (T4)
t0=[0.083 0.208 1 1.978 3.022 4 4.988 6 6.999 8.014 9.003 10]; %time intervals as per ASTM C1308
T1=zeros(12,1);

%% Concentration vs time

%preliminary plots not used in the paper.
% 
% 
% f6=figure
% plot(t0,T1','k^-','LineWidth',1.2)
% hold on
% plot(t0,con(:,1)','ro-','LineWidth',1.2)
% 
% plot(t0,con(:,2)','bo-','LineWidth',1.2)
% plot(t0,con(:,3)','go-','LineWidth',1.2)
% ylabel("Fe(CN)_6^{4-} [mg/L]");
% xlabel("Time [days]");
% grid on
% set(gca,'FontSize',16)
% legend('Control',"I1","I2","I3","fontsize",14)
% %exportgraphics(f6,'C vs t.tiff','Resolution',300)
% %exportgraphics(f6,'C vs t.pdf','Resolution',300)
% 
% %%
% f7=figure
% scatter(t0,cumsum(con(:,1)),50,'ro','filled')
% hold on
% scatter(t0,cumsum(con(:,2)),75,'bs','filled')
% scatter(t0,cumsum(con(:,3)),50,'gd','filled')
% ylabel("Concentration cumulative (mg/l)");
% xlabel("time (days)");
% grid on
% set(gca,'FontSize',16)
% legend("I1","I2","I3","fontsize",14,'location','southeast')
% %exportgraphics(f7,'C vs t_cumulative.png')
% 
% %%
% 
% 
% con=con(3:end,:); %remove first 2 points
% con_cum=cumsum(con);
% %con_cum=con_cum(3:end,:);
% %t=[0.083 0.208 1 1.978 3.022 4 4.988 6 6.999 8.014 9.003 10];
% t=[1 1.978 3.022 4 4.988 6 6.999 8.014 9.003 10];
% m=2*0.15/(pi()^0.5);
% %A0=[2547.804 2647.63 2313.29];
% Vl=[452.703 435.63 498.59];
% A0=[285.56 278.88  344.9];
% %CFL=(con_cum)/(m/A0);
% CFL=con_cum./A0.*Vl;
% t3=[0:0.05:10];
% %% non linear data fit
% F=@(x,xdata)0.1693*(x(1)*xdata).^0.5;
% x0=0.01;
% 
% [x1,resnorm,~,exitflag,output] = lsqcurvefit(F,x0,t,CFL(:,1)')
% [x2,resnorm,~,exitflag,output] = lsqcurvefit(F,x0,t,CFL(:,2)')
% [x3,resnorm,~,exitflag,output] = lsqcurvefit(F,x0,t,CFL(:,3)')
% 
% 
% Er1=100.*((m*(x1*t).^0.5-CFL(:,1)')*(m*(x1*t).^0.5-CFL(:,1)')')/CFL(end,1)
% Er2=100.*((m*(x2*t).^0.5-CFL(:,1)')*(m*(x2*t).^0.5-CFL(:,2)')')/CFL(end,1)
% Er3=100.*((m*(x3*t).^0.5-CFL(:,1)')*(m*(x3*t).^0.5-CFL(:,3)')')/CFL(end,1)
% 
% fit=m*(x1*t).^0.5;
% %% Concentration time series
% B=figure
% scatter((t'),CFL(:,1),'r^')
% hold on
% %plot(t,fit,'r')
% plot(t3,F(x1,t3),'r')
% 
% scatter((t'),CFL(:,2),'g^')
% plot(t3,F(x2,t3),'g')
% scatter((t'),CFL(:,3),'b^')
% plot(t3,F(x3,t3),'b')
% 
% %% Comparison with a linear regression
% 
% [D1,r1]=Linreg(t',CFL(:,1)/m)
% [D2,r2]=Linreg(t',CFL(:,2)/m)
% [D3,r3]=Linreg(t',CFL(:,3)/m)
% 
% f4=figure
% scatter((t'),con_cum(:,1)/A0(1),50,'ro','filled')
% hold on
% plot(t3,sqrt(D1*t3)*m,'r--','LineWidth',1.2)
% 
% scatter((t'),con_cum(:,2)/A0(2),50,'bs','filled')
% plot(t3,sqrt(D2*t3)*m,'b--','LineWidth',1.2)
% scatter((t'),con_cum(:,3)/A0(3),50,'gd','filled')
% plot(t3,sqrt(D3*t3)*m,'g--','LineWidth',1.2)
% grid on
% legend("I1 exp","I1 fit", "I2 exp","I2 fit","I3 exp","I3 fit","Location",'southeast','fontsize',14)
% set(gca,'fontsize',16)
% xlabel('Time[days]');
% ylabel('CFL/C_0')
% box on
% %exportgraphics(f4,'Fitting.png')
% 
% 
% % A=figure
% % plot(Data(:,1), Data(:,3),'b'); %blank
% % hold on
% % plot(Data(:,1), Data(:,5),'Color',[1 0.9 0.9]); %T6t1
% % plot(Data(:,1), Data(:,3), 'Color',[1 0.8 0.8]); %T6t2
% % plot(Data(:,1), Data(:,6),'color', [1 0.7 0.7]); %T6t3
% % plot(Data(:,1), Data(:,7), 'color', [1 0.65 0.65]); %T6t4
% % plot(Data(:,1), Data(:,8), 'color', [1 0.55 0.55]); %T6t5
% % plot(Data(:,1), Data(:,9),'color', [1 0.45 0.45]); %T6t6
% % plot(Data(:,1), Data(:,10),'color', [1 0.35 0.35]); %T6t7
% % plot(Data(:,1), Data(:,11),'color', [1 0 0]); %T6t8
% % 
% % legend('blank',"t1","t2","t3","t4","t5","t6","t7","t8")
% % 
% % set(gcf,'DefaultLineLineWidth',4)
% x_sq=CFL(:,1).^2;
% function [D,R,Er]=Linreg(x,y)
% y_sq=y.^2;
% D=x\y_sq;
% yfit=x*D;
% 
% R=1 - sum((y_sq - yfit).^2)/sum((y_sq - mean(y_sq)).^2)
% end




