clear all 

Data=readtable('advection.xlsx','sheet','matlab_plot','range','A1:I21'); 

%%
f1=figure
errorbar(Data.t1,Data.C1,Data.C1_sd, '^-','color',[1 0.5 0.5],'MarkerFaceColor',[1 0.5 0.5],'LineWidth',1.2);%Reference
hold on
errorbar(Data.t2,Data.C2,Data.C2_sd, '^-','color',[1 0 0],'MarkerFaceColor',[1 0 0 ],'LineWidth',1.2);%inhibitor
errorbar(Data.t3,Data.C3,Data.C3_sd, '^-','color',[0.5 0 0],'MarkerFaceColor',[0.5 0 0 ]','LineWidth',1.2);%salt

grid on
xlabel('t [days]','Interpreter','tex');
ylabel('Moisture content [%]')
legend('Cycle 1','Cycle 2','Cycle 3','location','northeast','FontSize',14);
%title('Capillary absorption');
ylim([0 100]);
%yticks([0:3:15])
set(gca,'FontSize',16);
exportgraphics(f1,'NHL_advection_cycles_GA.tiff','Resolution',300);
exportgraphics(f1,'NHL_advection_cycles_GA.pdf','Resolution',300);