

clear all
tic
%Read data 
Data=readtable("CWE weight changes_true.xlsx","Sheet","Sheet1",'range','H3:P51');
%norm=readtable("Brouwershaven ICP weights.xlsx")
%norm(19:20,:)=[];



%% From spectroscopy to concentration


%con=(21.41*Abs_char).*(norm.Water'/1000)./(norm.Sample');%calibration
con=21.77*Data.Abs.*Data.DilutionFactor_x_; %mg/l
con_norm=con.*(Data.solvent_ml_/1000)./(Data.wt_mg_/1000);

%save("con_UV.mat",'con')

Initial=[reshape(con_norm(1:12),4,3)];
Cycle1=[reshape(con_norm(13:24),4,3)];
Cycle2=[reshape(con_norm(25:36),4,3)];
Cycle3=[reshape(con_norm(37:48),4,3)];

I(:,1)=mean(Initial,2);
I(:,2)=std(Initial,0,2);

C1(:,1)=mean(Cycle1,2);
C1(:,2)=std(Cycle1,0,2);

C2(:,1)=mean(Cycle2,2);
C2(:,2)=std(Cycle2,0,2);

C3(:,1)=mean(Cycle3,2);
C3(:,2)=std(Cycle3,0,2);


%% A1
f6=figure
H=[2.5 10 20 40];
errorbar(H,I(:,1),I(:,2),'^-','LineWidth',1.2','Color',[0 0 1]) 
hold on
errorbar(H,C1(:,1),C1(:,2),'^-','LineWidth',1.2','Color',[1 0.5 0.5] )
errorbar(H,C2(:,1),C2(:,2),'^-','LineWidth',1.2','Color',[1 0 0 ] )
errorbar(H,C3(:,1),C3(:,2),'^-','LineWidth',1.2','Color',[0.5 0 0] )
ylabel("Na_4Fe(CN)_6 [mg/g]");
xlabel("Height [mm]");
%ylim([0 25])
grid on
%xticklabels({'0-5','5-15','15-25','25-55'})
ax = gca;
ax.YGrid = 'on';
set(gca,'xtick',[0 5 15 25 50])
xlim([0,50])
%title('A1')
set(gca,'FontSize',18)
%set(gca,'FontName','Calibri')
legend("Initial","Cycle 1","Cycle 2", "Cycle 3","fontsize",16,'box','off')
box on
exportgraphics(f6,'Advection_inhibitor_dist.pdf','Resolution',300)
%%
%Efflorescence 
C1_e=[0,0,0];
C2_e=[0.273, 0.335, 0.574]*1000;
C3_e=[0.566, 0.514, 0.616]*1000;

f7=figure
E=[C1_e',C2_e',C3_e'];
xticklabels={'Cycle 1*' 'Cycle 2' 'Cycle 3'};
b=boxchart(E);
ylabel("NaFeCN Efflorescence [mg]");
%xlabel("Height [mm]");
set(gca,'XTickLabel',xticklabels);
set(gca,'FontSize',16)
box on
exportgraphics(f7,'Efflorescence_distribution.pdf','Resolution',300)