
clear all
tic
%MIP analysis
%Ameya
%%
NHL_control=MIPData('R1_ad_NHL',0.1261); %Reference (Filename, total intrusion)
NHL_0p1=MIPData('I1_AD_~1',0.1270); %inhibitor
NHL_1p=MIPData('I2_AD_~1',0.1178); %salt

%%
%Plot
f=figure;
%distribution
yyaxis left
plot(NHL_control(:,1),NHL_control(:,2),'r-','LineWidth',1.2);%R
hold on
plot(NHL_0p1(:,1),NHL_0p1(:,2),'g-','LineWidth',1.2);%I
plot(NHL_1p(:,1),NHL_1p(:,2),'b-','LineWidth',1.2);%S
ylabel('dV/dlogD [mL/g]')
xlim([0.01 100]);

%Cumulative intrusion
yyaxis right
plot(NHL_control(:,1),NHL_control(:,3),'r--','LineWidth',1.2);%R
plot(NHL_0p1(:,1),NHL_0p1(:,3),'g--','LineWidth',1.2);%I
plot(NHL_1p(:,1),NHL_1p(:,3),'b--','LineWidth',1.2);%S
ylabel('Cumulative intrusion [%]')
ylim([0,100]);
xlim([0.01 100]);

ax = gca;
ax.YAxis(1).Color = 'k';
ax.YAxis(2).Color = 'k';

set(gca, 'XScale', 'log')
xlabel('Pore diameter [\mum]');
legend('R','I','S','','','','location','northeast','FontSize',14);
title('Pore size distribution');
set(gca,'FontSize',16);
set(gca,'xtick',10.^([-3 -2 -1 0 1 2]))
xticklabels({'0.001','0.01','0.1','1','10','100'})
grid on
exportgraphics(f,'MIP_leaching.pdf','resolution',300);
exportgraphics(f,'MIP_leaching.tiff','Resolution',300);

toc



% Function Definition
function D=MIPData(filename,total_intrusion_volume)
N=strcat(filename,'.xls')
Data1=readtable(N,'sheet',filename,'range','H23:K104');
Data2=readtable(strcat(filename,'.xls'),'sheet',filename,'range','M25:P106');
pore_dia=Data1.PoreDiameter_A_*1e-4; 
int_vol=Data2.CumulativeIntrusion_mL_g_/total_intrusion_volume*100;
D=[pore_dia,Data1.dV_dlogDPoreVolume_mL_g_,int_vol];

end


