clear all 

Data=readtable('WAC_characterisation.xlsx','sheet','Matlab_data','range','A1:G21'); 

%%
f1=figure
errorbar(Data.t,Data.R,Data.Rsd, 'r^-','MarkerFaceColor','r','LineWidth',1);%Reference
hold on
errorbar(Data.t,Data.I,Data.Isd, 'g^-','MarkerFaceColor','g','LineWidth',1);%inhibitor
errorbar(Data.t,Data.S,Data.Ssd, 'b^-','MarkerFaceColor','b','LineWidth',1);%salt

grid on
xlabel('t [days]','Interpreter','tex');
ylabel('Moisture content [%]')
legend('R','I','S','location','northeast','FontSize',14);
%title('Capillary absorption');
ylim([0 100]);
%yticks([0:3:15])
set(gca,'FontSize',16);
exportgraphics(f1,'NHL_drying.tiff','Resolution',300);
exportgraphics(f1,'NHL_drying.pdf','Resolution',300);